<?php

// This file only exists on production servers, and defines the available assets mappings
// in an `ASSETS` array constant.
require "../views-mappings.php";

const _SUPPORTS_FAST_REFRESH = false;


function _asset(string $assetURI): string {
    // use index.php's base path
    global $basePath;
    // If the asset uri does not figure in the available assets array,
    // fallback to the uri itself.
    return $basePath . "/" . (ASSETS[$assetURI] ?? $assetURI);
}